"""
Fill a worksheet with information about the weights of each asset
chosen for each revision of each portfolio of each participant.
"""

from ..revision import RevisionWorksheetFiller
from .row_generator import PortfolioAssetWeightsRowGenerator

class PortfolioAssetWeightsWorksheetFiller(RevisionWorksheetFiller):
    """
    Fill a worksheet with information about the weights of each asset
    chosen for each revision of each portfolio of each participant.
    """

    title = "Portfolios"

    @property
    def header_data(self):
        """
        The header values of this worksheet (the tickers of all assets
        in use by the game).
        """

        return (asset.ticker for asset in self.assets)

    def collect_revision_data(self, revision):
        """Compute and return the data values for one revision."""

        return PortfolioAssetWeightsRowGenerator(self, revision).values
