"""Base class for classes that generate worksheet row values."""

from abc import ABC, abstractmethod

class BaseRowGenerator(ABC):
    """Base class for classes that generate worksheet row values."""

    def __init__(self, filler):
        self.filler = filler

    @property
    @abstractmethod
    def values(self):
        """The computed row values."""

    @property
    def assets(self):
        """
        Provide easy access to game's assets
        (which is a property of the filler).
        """

        return self.filler.assets
